### Constructor

# Eog ThumbNav new

#### Declaration [src]

    GtkWidget*
    eog_thumb_nav_new (
      GtkWidget* thumbview,
      EogThumbNavMode mode,
      gboolean show_buttons
    )

#### Description [src]

Creates a new thumbnail navigation widget.

#### Parameters

`thumbview`

  Type: `GtkWidget`

  An `EogThumbView` to embed in the navigation widget.

  The data is owned by the caller of the function.

`mode`

  Type: `EogThumbNavMode`

  The navigation mode.

`show_buttons`

  Type: `gboolean`

  Whether to show the navigation buttons.

#### Return value

Type: `GtkWidget`

A new `EogThumbNav` object.

The data is owned by the called function.